<?php

/**
* Модуль подземелья
* @author Alex Priadko 
* @copyright Elfi 
* @package Kninds.ru
* 
*/

$need = 3; //сколько людей надо чтоб начать битву

include_once '../system/common.php';
include_once '../system/functions.php';
include_once '../system/user.php';
$title ='Нижний Мир Аида';
include_once '../system/h.php';

$battle = mysql_fetch_assoc(mysql_query("SELECT * FROM `cavebattle` WHERE `user`='".$user['id']."' AND `start`='1' AND `end`='0' "));

if (!$battle)
{
	header("Location:/dungeons/");
	exit;
}


if ($user['hp']<0)
{
	$_SESSION['cc'] = 'Вас Убили';
	mysql_query("DELETE FROM `mobs` WHERE `battle`='".$battle['id']."'");
		mysql_query("DELETE FROM `logs` WHERE `battle`='".$battle['id']."'");
	mysql_query("DELETE FROM `cavebattle` WHERE `id`='".$battle['id']."'");
	header("Location:/");
	exit;
}


if ($user['id'] == 1)
{
	echo $battle['step'];
}

////scenario action 1 


$mobsR = mysql_num_rows(mysql_query("SELECT `id`,`battle` FROM `mobs` WHERE `battle`='".$battle['id']."'"));




if ($mobsR == 0 && $battle['step'] == 0)
{
	mysql_query("INSERT INTO `mobs` SET `hp`='150',`str`='150',`attack`='".time()."',`battle`='".$battle['id']."',`name`='Слуга Владыки Темного Мира'");
	mysql_query("UPDATE `cavebattle` SET `step`='1' WHERE `id`='".$battle['id']."'");
	$text = 'Вы зашли в странный мрачный зал...похоже это жертовный зал Аида!Берегитесь!';
} elseif ($mobsR == 0 && $battle['step'] ==1) {
	$text = 'Вы видите множество уламков доспехов других титанов...';
	mysql_query("UPDATE `cavebattle` SET `step`='2' WHERE `id`='".$battle['id']."'");
	mysql_query("INSERT INTO `mobs` SET `hp`='150',`str`='150',`attack`='".time()."',`battle`='".$battle['id']."',`name`='Слуга Владыки Темного Мира'");
}

 elseif ($mobsR == 1 && $battle['step'] == 2)
{
	$text ='Ах ты дерзкий раб как ты посмел беспокоинть своего владыку!';

	$rnd = rand(1,45);

	mysql_query("UPDATE `cavebattle` SET `step`='2' WHERE `id`='".$battle['id']."'");
	if ($rnd < 36)
	{
		$damage = $rnd*rand(19,38);
		$text1 = '<font color ="red"/> Слуга Владыки Темных Миров наносит вам '.$damage.' урона бросив в вас ножом!</font>';
		mysql_query("INSERT INTO `logs` SET `battle`='".$battle['id']."',`text`='".$text1."',`time`='".time()."',`user`='".$user['id']."'")or die(mysql_error());
		mysql_query("UPDATE `users` SET `hp`=`hp`-'$damage' WHERE `id`='".$user['id']."'")or die(mysql_error());
	}
} elseif ($mobsR == 0 && $battle['step']== 2)
{

	for ($mobso = 0; $mobso <4 ; $mobso++)
	{
		mysql_query("INSERT INTO `mobs` SET `hp`='290',`str`='35',`attack`='".time()."',`battle`='".$battle['id']."',`name`='Проклятый Дух'");
	}

	mysql_query("UPDATE `cavebattle` SET `step`='3' WHERE `id`='".$battle['id']."'");

} elseif ($mobsR >0 && $battle['step'] ==  3)
{
	$text = 'Слуги Аида услышали вас!Они идут сюда!В бой!';

	mysql_query("UPDATE `cavebattle` SET `step`='4' WHERE `id`='".$battle['id']."'");

} elseif ($mobsR == 0 && $battle['step'] == 4)
{
	$text = 'Похоже на то что Вы заблудились..вы слышите какие то звуки..';
	mysql_query("UPDATE `cavebattle` SET `step`='5' WHERE `id`='".$battle['id']."'");
} elseif ($battle['step'] == 5)
{
	$text = 'Вы разозлили Аида...он прислал вас убить стражника Врат Смерти!Берегись!!';

	mysql_query("INSERT INTO `mobs` SET `hp`='3500',`str`='35',`attack`='".time()."',`battle`='".$battle['id']."',`name`='Стражник'");
	mysql_query("UPDATE `cavebattle` SET `step`='6' WHERE `id`='".$battle['id']."'");

} elseif ($battle['step'] ==6 && $mobsR == 1)
{
	$text = 'Стражник:Ты посмел тревожить Аида!Жалкий смертный тебе конец!';
	$rnd = rand (1,25);

	if ($rnd <  15)
	{
		$damage = round(rand($user['str']/3,$user['def']/6)/rand($user['def']/4,$user['def']/3));
		$text1 = '<font color ="red"/>Стражник использует темные сферы нанося вам '.$damage.' урона!</font>';
		mysql_query("INSERT INTO `logs` SET `battle`='".$battle['id']."',`text`='".$text1."',`time`='".time()."',`user`='".$user['id']."'")or die(mysql_error());
		mysql_query("UPDATE `users` SET `hp`=`hp`-'$damage' WHERE `id`='".$user['id']."'")or die(mysql_error());
	}

} elseif ($battle['step'] == 6 && $mobsR == 0)
{
	mysql_query("INSERT INTO `mobs` SET `hp`='15000',`str`='222',`attack`='".time()."',`battle`='".$battle['id']."',`name`='Астральные врата'");
	mysql_query("INSERT INTO `mobs` SET `hp`='35000',`str`='35',`attack`='".time()."',`battle`='".$battle['id']."',`name`='Астральная башня'");
	mysql_query("UPDATE `cavebattle` SET `step`='7' WHERE `id`='".$battle['id']."'");
}elseif ($battle['step'] == 7 && $mobsR > 0)
{ 


	$towerData = @mysql_fetch_assoc(mysql_query("SELECT * FROM `mobs` WHERE `battle`='".$battle['id']."' and `name`='Астральная башня'"));

	if (!$towerData)
	{
		$text = 'Башня разрушена! Ворота могут быть уничтожены!';
	} else {
		mysql_query("UPDATE `mobs` SET `hp`='15000' WHERE `battle`='".$battle['id']."' and `name`='Астральные врата'");
			$randTower = rand(1,35);

	if ($randTower < 29)
	{
		$damage = rand(1,15)*$user['level']+rand($user['level']/2,$user['level']*3);
		$text1 = '<font color ="red"/>Астральная башня наносит вам '.$damage.' урона!</font>';
		mysql_query("INSERT INTO `logs` SET `battle`='".$battle['id']."',`text`='".$text1."',`time`='".time()."',`user`='".$user['id']."'")or die(mysql_error());
		mysql_query("UPDATE `users` SET `hp`=`hp`-'$damage' WHERE `id`='".$user['id']."'")or die(mysql_error());
	}

	if ($towerData['hp'] < 5000)
	{
		$q = mysql_query ('select * from `user_q` WHERE (`user`="' . $user['id'] . '") AND (`complete`="0")');
    if (mysql_num_rows ($q) != 0) {
        
        while ($user_q = mysql_fetch_array ($q)) {
                
            // 
            $q_ = mysql_query ('SELECT * FROM `quest` WHERE (`id`="' . $user_q['q'] . '")');
            $quest = mysql_fetch_array ($q_);
            
            if ($user_q['c']<$quest['c']) {
                if ($quest['place']=='8') {
                
                
                    if ($quest['type']=='0') {
                        mysql_query ('UPDATE `user_q` SET `c`=`c`+1 WHERE (`user`="' . $user['id'] . '") AND (`q`="' . $quest['id'] . '")');

                        $text2 = '<font color ="gray"/>Задание Владения Аида (Астральный камень) выполнено!</font>';
		mysql_query("INSERT INTO `logs` SET `battle`='".$battle['id']."',`text`='".$text2."',`time`='".time()."',`user`='".$user['id']."'")or die(mysql_error());

                    }
                }
            
            }

        }

    }

	}
	}

}elseif ($battle['step'] ==7 && $mobsR == 0)
{
	$text = 'Вы жлщди до тронной залы...';
	mysql_query("INSERT INTO `mobs` SET `hp`='500000',`str`='210000',`attack`='".time()."',`battle`='".$battle['id']."',`name`='Аид'");
	mysql_query("UPDATE `cavebattle` SET `step`='8' WHERE `id`='".$battle['id']."'");
} elseif ($battle['step'] == 8 && $mobsR == 1)
{
	$text = 'Аид в ярости!Самое время сразится с ним!Убей его и получишь его сокровища!';

	$rqn = rand(1,100);

	if($rqn < 25)
	{
		$damage = $rqn*rand(190,380);
		$text1 = '<font color ="red"/> Аид применяет  магию и наносит '.$damage.' урона!</font>';
		mysql_query("INSERT INTO `logs` SET `battle`='".$battle['id']."',`text`='".$text1."',`time`='".time()."',`user`='".$user['id']."'")or die(mysql_error());
		mysql_query("UPDATE `users` SET `hp`=`hp`-'$damage' WHERE `id`='".$user['id']."'")or die(mysql_error());	
	}
} elseif ($battle['step'] == 8 && $mobsR == 0) {

		$item = @mysql_fetch_assoc(mysql_query("SELECT * FROM `items` WHERE `quality`='5' ORDER BY RAND()"));

		$str = 600;
		$vit = 600;
		$agi = 600;
		$def = 600;
		mysql_query('INSERT INTO `inv` (`user`,
																		 `item`,
																		`bonus`,
																		 `_str`,
																		 `_vit`,
																		 `_agi`,
									 `quality`,
																		 `_def`) VALUES ("'.$user['id'].'",
																											"'.$item['id'].'",
																													 "'.$bonus.'",
																														 "'.$str.'",
																														 "'.$vit.'",
																														 "'.$agi.'",
															 "'.$item['quality'].'",
																														 "'.$def.'")');

			


	
	mysql_query("UPDATE `cavebattle` SET `step`='9' WHERE `id`='".$battle['id']."'");
	$text ='Аид убит! Осмотрите его сокровищницу!';
}elseif ($battle['step'] == 9)
{
	$myIt = @mysql_fetch_assoc(mysql_query("SELECT * FROM `inv` WHERE `user`='".$user['id']."' ORDER BY `id` "));
	$it = @mysql_fetch_assoc(mysql_query("SELECT * FROM `items` WHERE `id`='".$myIt['item']."'"));
        $rand = rand(111,999);
	$rands = rand(1000,10000);
	$sess = "
	<div class ='content'/>
		<center>
			Вы получаете ".$it['name']." 
		</center>
	</div>
	<div class ='dl'/></div>
	<div class ='content'/>
	<img src ='/images/icon/gold.png'/> $rand | <img src ='/images/icon/silver.png'/> $rands
	</div>
	<div class ='content'/>
		Вы отыхаете на 1 час. 
		<br/>
		<center>
			<a href ='/' class ='button'/> Вернуться </a>
		</center>
	</div>
	";

	mysql_query("UPDATE `users` SET `baron`='".(time()+60*20)."',`g`=`g`+'".$rand."',`s`=`s`+'".$rand."' WHERE `id`='".$user['id']."'");
	mysql_query("DELETE FROM `logs` WHERE `battle`='".$battle['id']."'");
	mysql_query("DELETE FROM `cavebattle` WHERE `id`='".$battle['id']."'");

	$_SESSION['qq'] =$sess;
	header("Location:/");
	exit;

}



///f panel 
$randAttk = @mysql_fetch_assoc(mysql_query("SELECT `id`,`battle`,`hp` FROM `mobs` WHERE `battle`='".$battle['id']."' and `hp`>0"));


if (isset($_GET['attack']) )
{
	$id = (int) abs($_GET['id']);

	if (isset($id))
	{
		$checkM = mysql_num_rows(mysql_query("SELECT `battle`,`id`,`hp` FROM `mobs` WHERE `id`='$id'"));

		if ($checkM == 0)
		{
			header("Location:?");
			exit;
		}

		$myDamage = round(rand($user['str']/6,$user['str']/9));

		if ($myDamage< 0)
		{
			$myDamage =&$user['level'];
		}

		$mob = @mysql_fetch_assoc(mysql_query("SELECT * FROM `mobs` WHERE `id`='$id'"));

		if ($myDamage >= $mob['hp'])
		{
			$text = '<font color ="lime"/> Вы уничтожили '.$mob['name'].' нанеся '.$myDamage .'</font>';
			mysql_query("DELETE FROM `mobs` WHERE `id`='$id'");
		} else {
			$text = '<font color ="yellow"/>Вы ударили '.$mob['name'].' на '.$myDamage.' </font>';
			mysql_query("UPDATE `mobs` SET `hp`=`hp`-'$myDamage' WHERE `id`='".$mob['id']."'");
		}

		mysql_query("INSERT INTO `logs` SET `battle`='".$battle['id']."',`text`='".$text."',`time`='".time()."'");
		header("Location:?");
		exit;
	}
}

?>
<div class ='content'/>
	<center>
		<?=$text;?>
	</center>
</div>
<div class ='list'/>
	<li>
		<a href ='?attack<?=(isset($randAttk['id']) ? '&amp;id='.$randAttk['id'] : null);?>'/> <img width='16' height='16' src="/images/icon/aid.png">Бить врагов </a>
	</li>
</div>

<div class ='line'/></div>


<?

$enemyesC = mysql_num_rows(mysql_query("SELECT `id`,`battle`,`hp` FROM `mobs` WHERE `battle`='".$battle['id']."' and `hp`>'0'"));

if ($enemyesC == 0)
{
	?>
	<div class ='content'/>
		Нет врагов.
	</div>
	<?
} else {
	$enemys = mysql_query("SELECT * FROM `mobs` WHERE `battle`='".$battle['id']."' and `hp`>'0'");

	while ($datE = @mysql_fetch_assoc($enemys))
	{
		?>
		<div class ='content'/>
		<a href ='?attack&amp;id=<?=$datE['id'];?>'/><img src="/images/icon/hit.png"> Бить <?=$datE['name'];?></a> <?=$datE['hp'];?> <img src="/images/icon/health.png"> здоровья</a>
		</div>
		<?
	}

	?>

	<div class ='line'/></div>
	<?

}

$logsC = mysql_query("SELECT `id` FROM `logs`  WHERE `battle`='".$battle['id']."'");
$logsC = mysql_num_rows($logsC);


if ($logsC == 0)
{
	?>
	<div class ='content'/>
		Журнал боя пуст
	</div>
	<?
} else {
	$data = mysql_query("SELECT * FROM `logs` WHERE `battle`='".$battle['id']."' ORDER BY `time` DESC LIMIT 10 ");

	while ($log = @mysql_fetch_assoc($data))
	{
		$secO =(time()-$log['time'])%60;
		?>
		<div class ='content'/>
			<?=$log['text'];?>
			|
			<font color ='#909090'/>
				<?=$secO;?> сек
			</font>
		</div>
		<div class ='dl'/></div>
		<?
	}
}

include_once '../system/f.php';